From stern@rowland.harvard.edu Wed Jun 15 13:11:34 2005
Date: Wed, 15 Jun 2005 15:49:48 -0400 (EDT)
From: Alan Stern <stern@rowland.harvard.edu>
To: Greg KH <greg@kroah.com>
Subject: USB: usbcore: inverted test for resuming interfaces
Message-ID: <Pine.LNX.4.44L0.0506151543520.6561-100000@iolanthe.rowland.org>

This one-liner fixes a test for interfaces that are already resumed.

It would be nice if this could get into 2.6.12, but it's not critical
since it only affects people doing selective (runtime) suspend/resume.

Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/core/hub.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/core/hub.c	2005-06-16 16:03:38.000000000 -0700
+++ gregkh-2.6/drivers/usb/core/hub.c	2005-06-16 16:11:25.000000000 -0700
@@ -1733,7 +1733,7 @@
 			struct usb_driver	*driver;
 
 			intf = udev->actconfig->interface[i];
-			if (intf->dev.power.power_state == PMSG_SUSPEND)
+			if (intf->dev.power.power_state == PMSG_ON)
 				continue;
 			if (!intf->dev.driver) {
 				/* FIXME maybe force to alt 0 */
